Subject: Re: FVWM: pointer and transient pager

From: Greg BOGNAR <[email-masked]>
Date: Wed, 27 Oct 2004 00:27:48 +0200 (CEST)

On Tue, 26 Oct 2004, Rafal Bisingier wrote:

> > On Thu, 21 Oct 2004, Rafal Bisingier wrote:
> > > > Hello list,
> > > > 
> > > > I have 
> > > > 
> > > > EdgeCommand Right Module FvwmPager -transient
> > > > 
> > > > in my .fvwm2rc.  But I would like the pager to disappear (be deleted)  
> > > > not only on any key release and mouse click, but also simply when the
> > > > pointer leaves the pager window.  So I started playing around with the
> > > > example in FAQ 7.17.  What I found is that it does not work at all
> > > > with the -transient option; and if I don't have that option, the pager
> > > > does not get placed under the pointer at all, but as any other window, 
> > > > typically on the other side of the screen.
> > > > 
> > > > Is there a way I can teach Fvwm to close a transient pager as soon as 
> > > > the pointer leaves its window?  Perhaps the best would be if the pager 
> > > > would come up if the pointer hits the screen edge, the pointer is 
> > > > warped to the middle of the pager, but it is closed on any keyrelease 
> > > > or if the pointer is moved out of the window.
> > > <cut>
> > > 
> > > I've had similar config. My pager is raised when mouse hit the edge, and
> > > lowered back when mouse leave it's window.
> > > Here is a sample:
> > <cut>
> > 
> > Yes, but the problem is that neither this nor FAQ 7.17 work with a 
> > transient pager.  I guess I am trying to do something FvwmPager was 
> > not designed for: use it a bit like a windowlist or FvwmProxy to popup 
> > when you want to switch pages and then get out of the way.
> 
> I've never tested how it would work with transient FvwmPager, but I
> guess you can get quite good aproximation of the transient behavior with
> apropriate Style options and some functions... And yes, I know it isn't
> a solution of you problem, just an ugly workaround. ;-)
> 

I tried a number of things, and could get it sort of working, but it
does not work reliably, so I gave up on the idea and continue using a
good ol' plain transient pager.  But thanks for your ideas.

Cheers,
Greg

http://christal.elte.hu/~bognar/fvwm/

--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].